Bug 184285 - mixer_applet2 "unremovable" from a panel
mixer_applet2 "unremovable" from a panel
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-03-07 15:36 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-08 18:33:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix a double-free in the mixer applet (567 bytes, patch)
2006-03-08 10:32 EST, Matthias Clasen
no flags Details | Diff
fix a double-free in the mixer applet (567 bytes, patch)
2006-03-08 10:43 EST, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2006-03-07 15:36:49 EST
Description of problem:

It is really difficult to remove mixer_applet2 ("Volume Control") from
a panel.  Apparently depending on a timing this may result in a panel
which does not react to anything and an applet icon still there or,
possibly, that icon gone but panel still not really operational (menus
not working, or working selectively, even if they show up).  In any
case mixer_applet2 after a removal is still there in a state "S".
Here is an example of a 'ps' line after such experiment:

root      2817  0.1  3.6 251904 18428 ?        S    13:26   0:00
/usr/libexec/mixer_applet2 --oaf-activate-iid=OAFIID:GNOME_MixerApplet_Factory

Only after explicitly killing such process, 'kill 2817' in this case,
panel starts work again as expected.  Without such action it could be
even difficult to log out as a corresponding menu may be not availalble
or non-operational.

I have seen at least once something of that kind with battery applet
as well but later I could not reproduce.  With mixer_applet2 something
like described above happens (nearly?) every time.

Version-Release number of selected component (if applicable):

How reproducible:
at least easily
Comment 1 Ray Strode [halfline] 2006-03-08 09:56:09 EST

Is this fixed for you with gnome-applets-2.13.90-4?
Comment 2 Matthias Clasen 2006-03-08 10:32:36 EST
Created attachment 125807 [details]
fix a double-free in the mixer applet
Comment 3 Matthias Clasen 2006-03-08 10:43:15 EST
Created attachment 125810 [details]
fix a double-free in the mixer applet
Comment 4 Michal Jaegermann 2006-03-08 18:33:45 EST
AFICS with gnome-applets-2.13.90-4 this bug is fixed; and this will
provide a resolution to bug #182957 too.

Note You need to log in before you can comment on or make changes to this bug.